|  | Home | Documentation | wst__SignChallengeType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__SignChallengeType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":SignChallengeType is a complexType. More...

`#include <wst.h>`

## Public Attributes
char * | Challenge
| Element reference "http://docs.oasis-open.org/ws-sx/ws-trust/200512/:""http://docs.oasis-open.org/ws-sx/ws-trust/200512/":Challenge. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":SignChallengeType is a complexType.

struct wst__SignChallengeType operations:

- wst__SignChallengeType* soap_new_wst__SignChallengeType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__SignChallengeType(struct soap*, wst__SignChallengeType*) default initialize members
- int soap_read_wst__SignChallengeType(struct soap*, wst__SignChallengeType*) deserialize from a source
- int soap_write_wst__SignChallengeType(struct soap*, wst__SignChallengeType*) serialize to a sink
- wst__SignChallengeType* soap_dup_wst__SignChallengeType(struct soap*, wst__SignChallengeType* dst, wst__SignChallengeType <em>src) returns deep copy of wst__SignChallengeType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__SignChallengeType(wst__SignChallengeType) deep deletes wst__SignChallengeType data members, use only on dst after soap_dup_wst__SignChallengeType(NULL, wst__SignChallengeType *dst, wst__SignChallengeType *src) (use soapcpp2 -Ed)

## Member Data Documentation

char* wst__SignChallengeType::Challenge

Element reference "http://docs.oasis-open.org/ws-sx/ws-trust/200512/:""http://docs.oasis-open.org/ws-sx/ws-trust/200512/":Challenge.

Required element.

The documentation for this struct was generated from the following file:

- wst.h